Bug 1322963 - Errors from AD when trying to sign ipa.csr, conflicting template on
Summary: Errors from AD when trying to sign ipa.csr, conflicting template on
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.2
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Sudhir Menon
URL:
Whiteboard:
Depends On:
Blocks: 1396494 1399979
TreeView+ depends on / blocked
 
Reported: 2016-03-31 19:01 UTC by Amy Farley
Modified: 2019-12-16 05:36 UTC (History)
11 users (show)

Fixed In Version: ipa-4.5.0-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:37:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
Verification Steps (12.89 KB, text/plain)
2017-05-17 14:06 UTC, Sudhir Menon
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2258081 None None None 2016-04-14 08:46:49 UTC
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Comment 2 Jan Cholasta 2016-04-06 08:52:49 UTC
See bug 1129558, comment 3 for a workaround.

Comment 3 Jan Cholasta 2016-04-06 10:53:06 UTC
Alternative workaround would be to manually create an AD-compatible CSR:

# echo -e -n '\x1E\x0A\x00\x53\x00\x75\x00\x62\x00\x43\x00\x41' >ext-value
# certutil -R -d /etc/pki/pki-tomcat/alias -f <(grep -Po '(?<=internal=).*' /etc/pki/pki-tomcat/password.conf) -k 'caSigningCert cert-pki-ca' --extGeneric=1.3.6.1.4.1.311.20.2:not-critical:ext-value -o ipa.csr -a

Comment 5 Petr Vobornik 2016-04-11 08:55:48 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5799

Comment 14 aheverle 2017-04-10 21:04:46 UTC
From Thorsten:  The issue reported by the customer (CA installed on replica is always configured as renewal master) has been fixed with this errata:

https://access.redhat.com/errata/RHBA-2016:1256

In c#225 the customer mentioned, that they do their installs using a RHEL-7.2 DVD image. The fix has been released for RHEL-7.3 and as an async update for RHEL-7.2.z. It's not part of RHEL-7.2 GA release though. This means, they need to install at least the following package to get rid of the issue: ipa-4.2.0-15.el7_2.17. (or later). 

See this BZ for details: 

CA installed on replica is always marked as renewal master
https://bugzilla.redhat.com/show_bug.cgi?id=1339304

From customer:  That bugzilla does appear to describe the behavior. As both projects (using 7.1 and 7.2 respectively) are in a phase where package updates are not possible, is running "ipa-csreplica-manage set-renewal-master" on the master a viable workaround? It has corrected the LDAP entries every time I've run it, and the CS.cfg files on the master and replica already appear to be okay. Are there any other parts related to this that were fixed that require the updated packages?

Comment 18 Jan Cholasta 2017-05-16 11:39:07 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6950

Comment 21 Sudhir Menon 2017-05-17 14:04:37 UTC
Verified on RHEL7.4 using 
ipa-server-4.5.0-11.el7.x86_64
sssd-1.15.2-29.el7.x86_64
krb5-server-1.15.1-8.el7.x86_64
selinux-policy-3.13.1-148.el7.noarch
pki-ca-10.4.1-4.el7.noarch

Attaching the steps used for verification.

Comment 22 Sudhir Menon 2017-05-17 14:06:28 UTC
Created attachment 1279705 [details]
Verification Steps

Comment 23 errata-xmlrpc 2017-08-01 09:37:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.